@images: "/assets/images/ccagent";
@sidebar:   ~"only screen and (max-width: 300px)";
@main:    ~"only screen and (min-width: 300px)";


@app-header-background: linear-gradient(to bottom, #efefef, #fff 50%);

/* Mixin */.transition (@prop: all, @time: 1s, @ease: linear) {
  -webkit-transition: @prop @time @ease;
  -moz-transition: @prop @time @ease;
  -o-transition: @prop @time @ease;
  -ms-transition: @prop @time @ease;
  transition: @prop @time @ease;
}

/* Mixin */.box-shadow (@string) {
	-webkit-box-shadow: @string;
	-moz-box-shadow:    @string;
	box-shadow:         @string;
}

/* Mixin */.border-radius (@string) {
	-webkit-border-radius: @string;
	-moz-border-radius:    @string;
	border-radius:         @string;
}

/* Mixin */.keyframes(@name; @string) {
	@-moz-keyframes @name { @string(); }
	@-webkit-keyframes @name { @string(); }
	@keyframes @name { @string(); }
}

/* Mixin */.animation(@string) {
	-webkit-animation: @string;
	-moz-animation: @string;
	animation: @string;
}

@green: #5cb85c;
@orange: #e67c39;
@red: #cd4747;
@white: #ffffff;
@blue: #5599ff;
@grey: #b1b1b1;

@agent-menu-dark-gray: #4a4a4a;
@agent-separator-gray: #6b6b6b;
@agent-main-gradient-top: linear-gradient(to top, #ffffff, #e1e1e1);
@agent-main-gradient-left: linear-gradient(to left, #ffffff, #e1e1e1);
@agent-main-background: #ffffff;
@agent-main-version: #808080;
@agent-header-foreground: #ffffff;
@agent-search-background: #eaeaea;
@agent-content-title-background: #b1b1b1;
@agent-header-arrows-disabled: #858585;
@agent-inactive-phonebox: #bebebe;
@agent-content-stripped-background-even: #f3f3f3;
@agent-content-stripped-background-odd: #ffffff;
@agent-content-not-checked: #c8c8c8;
@agent-content-checked: #595959;
@agent-content-popover: #58524f;
@agent-content-popover-sep: #686868;
@agent-content-submenu-border: #c1c1c1;
@agent-content-submenu-color: #5d5d5d;
@agent-content-submenu-background: #d0d2d3;

@call-onhold: #c1c1c1;
@call-border: #c6c6c6;
@call-conference-inner: #def3fa;
@call-conference-established: #b0deef;

@call-incoming-acd-ringing: #f89406;

@callback-detail-button-background: #d1d1d1;
@callback-detail-button-background-hover: #ff5722;
@callback-detail-header-background: #b1b1b1;


@relative: {position: relative;};

@callback-overdue: @red;
@callback-now: @green;
@callback-later: @blue;

@activity-badge-background: @green;

//Z-index guides:
@default-index: 0;
@modal-main: @default-index + 1040;

@jitsi-video: @modal-main + 20;
@message-resize: @jitsi-video + 10;
@hide-show-phone-bar: @message-resize + 10;
@arrow-wrapper : @hide-show-phone-bar + 10;
@thirdparty: @arrow-wrapper + 10;

@third-party-container: @default-index + 1;
@ccagent-container: @default-index + 1;
@clear-input: @ccagent-container + 1;
@openExtView: @clear-input + 1;

@disable-pointer: @default-index + 1;
@watermark: @disable-pointer + 1; 

//switchboard
@switchboard: @default-index + 2;
@unhold: @default-index + 1;
@incoming-calls-switchboard: @switchboard + 1;
@calls-onhold-switchboard: @switchboard + @unhold;

// contact sheet
@btn-primary-color-off-1: @xivo-primary;;
@btn-primary-color-hover-1: @orange;
@btn-primary-color-off: @grey;
@btn-primary-color-hover: @xivo-primary;




